
capture gen cpa = (industry_code == "541211")
capture gen timediff = effectiveyear - year
capture drop reltime*

gen reltimeleadlarger3 = (timediff > 3) /*before*/
label variable reltimeleadlarger3 "t≤-4"
gen reltimeleadlarger3_cpa = reltimeleadlarger3 * cpa /*before*/
label variable reltimeleadlarger3_cpa "t≤-4"

gen reltimelead3 = (timediff == 3) /*before*/
label variable reltimelead3 "t-3"
gen reltimelead3_cpa = reltimelead3 * cpa /*before*/
label variable reltimelead3_cpa "t-3"

gen reltimelead2 = (timediff == 2) /*before*/
label variable reltimelead2 "t-2"
gen reltimelead2_cpa = reltimelead2 * cpa /*before*/
label variable reltimelead2_cpa "t-2"

gen reltimelead1 = (timediff == 1) /*before*/
label variable reltimelead1 "t-1"
gen reltimelead1_cpa = reltimelead1 * cpa /*before*/
label variable reltimelead1_cpa "t-1"

gen reltime0 = (timediff == 0)
label variable reltime0 "t=0"
gen reltime0_cpa = reltime0 * cpa
label variable reltime0_cpa "t=0"

gen reltimelag1 = (timediff == -1) /*after*/
label variable reltimelag1 "t+1"
gen reltimelag1_cpa = reltimelag1 * cpa /*after*/
label variable reltimelag1_cpa "t+1"

gen reltimelag2 = (timediff == -2) /*after*/
label variable reltimelag2 "t+2"
gen reltimelag2_cpa = reltimelag2 * cpa /*after*/
label variable reltimelag2_cpa "t+2"

gen reltimelag3 = (timediff == -3) /*after*/
label variable reltimelag3 "t+3"
gen reltimelag3_cpa = reltimelag3 * cpa /*after*/
label variable reltimelag3_cpa "t+3"

gen reltimelaglarger3 = (timediff < -3) /*after*/
label variable reltimelaglarger3 "t≥4"
gen reltimelaglarger3_cpa = reltimelaglarger3 * cpa  /*after*/
label variable reltimelaglarger3_cpa "t≥4"
